Crystal Space: iRegionList Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iRegionList Struct Reference
[Crystal Space 3D Engine]

A list of region objects. More...

`#include <iengine/region.h>`

Inheritance diagram for iRegionList:

[legend]
List of all members.

## Public Member Functions
virtual int | Add (iRegion *obj)=0
| Add a region.
virtual int | Find (iRegion *obj) const =0
| Find a region and return its index.
virtual iRegion * | FindByName (const char *Name) const =0
| Find a region by name.
virtual iRegion * | Get (int n) const =0
| Return a region by index.
virtual int | GetCount () const =0
| Return the number of regions in this list.
virtual bool | Remove (int n)=0
| Remove the nth region.
virtual bool | Remove (iRegion *obj)=0
| Remove a region.
virtual void | RemoveAll ()=0
| Remove all regions.

## Detailed Description

A list of region objects.

Main ways to get pointers to this interface:

- iEngine::GetRegions()

Definition at line 127 of file region.h.

## Member Function Documentation

virtual int iRegionList::Add | ( | iRegion * | obj | ) | `[pure virtual]`

Add a region.

virtual int iRegionList::Find | ( | iRegion * | obj | ) | const`[pure virtual]`

Find a region and return its index.

virtual iRegion* iRegionList::FindByName | ( | const char * | Name | ) | const`[pure virtual]`

Find a region by name.

virtual iRegion* iRegionList::Get | ( | int | n | ) | const`[pure virtual]`

Return a region by index.

virtual int iRegionList::GetCount | ( |  | ) | const`[pure virtual]`

Return the number of regions in this list.

virtual bool iRegionList::Remove | ( | int | n | ) | `[pure virtual]`

Remove the nth region.

virtual bool iRegionList::Remove | ( | iRegion * | obj | ) | `[pure virtual]`

Remove a region.

virtual void iRegionList::RemoveAll | ( |  | ) | `[pure virtual]`

Remove all regions.

The documentation for this struct was generated from the following file:

- iengine/region.h